package com.goafanti.customer.service;

import com.goafanti.common.model.UserSuperEvaluate;

/**
 * 客户上级评价(UserSuperEvaluate)表服务接口
 *
 * @author makejava
 * @since 2024-07-17 08:51:36
 */
public interface UserSuperEvaluateService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserSuperEvaluate queryById(Integer id);

    

    /**
     * 新增数据
     *
     * @param userSuperEvaluate 实例对象
     * @return 实例对象
     */
    UserSuperEvaluate insert(UserSuperEvaluate userSuperEvaluate);

    /**
     * 修改数据
     *
     * @param userSuperEvaluate 实例对象
     * @return 实例对象
     */
    UserSuperEvaluate update(UserSuperEvaluate userSuperEvaluate);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);
    
    /**
     * 列表数据
     *
     * @param in 参数
     * @return 是否成功
     */
    Object list(UserSuperEvaluate  in, Integer pageNo, Integer pageSize);

}
